=== debian/changelog ===
tinyssh (20250201-1) unstable; urgency=medium

  * New upstream version 20250201
    - relicensed under CC0-1.0 OR 0BSD OR MIT-0 OR MIT
  * d/copyright: update license to CC0-1.0 OR 0BSD OR MIT-0 OR MIT

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 01 Feb 2025 15:47:07 +0100
