=== debian/control ===
Source: tinyssh
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 lib25519-dev,
 libntruprime-dev,
 librandombytes-dev
Maintainer: Jan Mojžíš <janmojzis@debian.org>
Homepage: https://github.com/janmojzis/tinyssh/
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/tinyssh.git
Vcs-Browser: https://salsa.debian.org/debian/tinyssh
Rules-Requires-Root: no

Package: tinysshd
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ssh-server
Architecture: any
Description: Tiny SSH server - daemon
 TinySSH is a minimalistic SSH server which implements only a subset of
 SSHv2 features.
 TinySSH supports only secure cryptography (minimum 128-bit security, protected
 against cache-timing attacks) ED25519, Curve25519(X25519), CHACHA20POLY1305.
 TinySSH implements only safe public-key authentication,
 password or hostbased authentication is not implemented.
 TinySSH has less than 100000 words of code, so it's very easily auditable.
