## tinyssh 20250501

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC?=cc
-CFLAGS+=-W -Wall -Os -fPIC -fwrapv -Werror=deprecated-declarations -Icryptoint
+CFLAGS+=-W -Wall -Os -fPIC -fwrapv -Icryptoint
 LDFLAGS?=
 CPPFLAGS?=
 
@@ -21,18 +21,18 @@
  crypto_dh_x25519.o crypto_hash_sha256.o crypto_hash_sha512_lib25519.o \
  crypto_hash_sha512_tinyssh.o crypto_kem_sntrup761_libntruprime.o \
  crypto_kem_sntrup761_tinyssh.o crypto_kem_sntrup761x25519.o \
- crypto_onetimeauth_poly1305.o crypto_scalarmult_curve25519.o \
- crypto_sign_ed25519_lib25519.o crypto_sign_ed25519_tinyssh.o \
- crypto_sort_uint32.o crypto_stream_chacha20.o crypto_verify_16.o \
- crypto_verify_32.o die.o dropuidgid.o e.o env.o fe25519.o fe.o ge25519.o \
- getln.o global.o int16_optblocker.o int32_optblocker.o int64_optblocker.o \
- int8_optblocker.o iptostr.o load.o log.o loginshell.o logsys.o main_tinysshd.o \
- main_tinysshd_makekey.o main_tinysshd_printkey.o newenv.o numtostr.o open.o \
- packet_auth.o packet.o packet_channel_open.o packet_channel_recv.o \
- packet_channel_request.o packet_channel_send.o packet_get.o packet_hello.o \
- packet_kex.o packet_kexdh.o packetparser.o packet_put.o packet_recv.o \
- packet_send.o packet_unimplemented.o porttostr.o randommod.o readall.o \
- savesync.o sc25519.o ssh.o sshcrypto.o sshcrypto_cipher.o \
+ crypto_onetimeauth_poly1305_lib1305.o crypto_onetimeauth_poly1305_tinyssh.o \
+ crypto_scalarmult_curve25519.o crypto_sign_ed25519_lib25519.o \
+ crypto_sign_ed25519_tinyssh.o crypto_sort_uint32.o crypto_stream_chacha20.o \
+ crypto_verify_16.o crypto_verify_32.o die.o dropuidgid.o e.o env.o fe25519.o \
+ fe.o ge25519.o getln.o global.o int16_optblocker.o int32_optblocker.o \
+ int64_optblocker.o int8_optblocker.o iptostr.o load.o log.o loginshell.o \
+ logsys.o main_tinysshd.o main_tinysshd_makekey.o main_tinysshd_printkey.o \
+ newenv.o numtostr.o open.o packet_auth.o packet.o packet_channel_open.o \
+ packet_channel_recv.o packet_channel_request.o packet_channel_send.o \
+ packet_get.o packet_hello.o packet_kex.o packet_kexdh.o packetparser.o \
+ packet_put.o packet_recv.o packet_send.o packet_unimplemented.o porttostr.o \
+ randommod.o readall.o savesync.o sc25519.o ssh.o sshcrypto.o sshcrypto_cipher.o \
  sshcrypto_cipher_chachapoly.o sshcrypto_kex.o sshcrypto_kex_curve25519.o \
  sshcrypto_kex_sntrup761x25519.o sshcrypto_key.o sshcrypto_key_ed25519.o str.o \
  stringparser.o subprocess_auth.o subprocess_sign.o trymlock.o \
@@ -44,36 +44,38 @@
  crypto_dh_x25519.o crypto_hash_sha256.o crypto_hash_sha512_lib25519.o \
  crypto_hash_sha512_tinyssh.o crypto_kem_sntrup761_libntruprime.o \
  crypto_kem_sntrup761_tinyssh.o crypto_kem_sntrup761x25519.o \
- crypto_onetimeauth_poly1305.o crypto_scalarmult_curve25519.o \
- crypto_sign_ed25519_lib25519.o crypto_sign_ed25519_tinyssh.o \
- crypto_sort_uint32.o crypto_stream_chacha20.o crypto_verify_16.o \
- crypto_verify_32.o die.o dropuidgid.o e.o env.o fe25519.o fe.o ge25519.o \
- getln.o global.o int16_optblocker.o int32_optblocker.o int64_optblocker.o \
- int8_optblocker.o iptostr.o load.o log.o loginshell.o logsys.o main_tinysshd.o \
- main_tinysshd_makekey.o main_tinysshd_printkey.o newenv.o numtostr.o open.o \
- packet_auth.o packet.o packet_channel_open.o packet_channel_recv.o \
- packet_channel_request.o packet_channel_send.o packet_get.o packet_hello.o \
- packet_kex.o packet_kexdh.o packetparser.o packet_put.o packet_recv.o \
- packet_send.o packet_unimplemented.o porttostr.o randombytes.o randommod.o \
- readall.o savesync.o sc25519.o ssh.o sshcrypto.o sshcrypto_cipher.o \
- sshcrypto_cipher_chachapoly.o sshcrypto_kex.o sshcrypto_kex_curve25519.o \
- sshcrypto_kex_sntrup761x25519.o sshcrypto_key.o sshcrypto_key_ed25519.o str.o \
- stringparser.o subprocess_auth.o subprocess_sign.o test-crypto.o tinysshd.o \
- _tinysshd-printkex.o _tinysshd-speed.o _tinysshd-test-hello1.o \
- _tinysshd-test-hello2.o _tinysshd-test-kex1.o _tinysshd-test-kex2.o \
- _tinysshd-unauthenticated.o trymlock.o uint16_optblocker.o uint32_optblocker.o \
- uint64_optblocker.o uint8_optblocker.o writeall.o
-
-AUTOHEADERS=haslib25519.h haslibntruprime.h haslibrandombytes.h haslibutilh.h \
- haslimits.h haslogintty.h hasmlock.h hasopenpty.h hasutilh.h hasutmpaddrv6.h \
- hasutmp.h hasutmphost.h hasutmploginlogout.h hasutmplogwtmp.h hasutmpname.h \
- hasutmppid.h hasutmptime.h hasutmptv.h hasutmptype.h hasutmpuser.h \
- hasutmpxaddrv6.h hasutmpx.h hasutmpxsyslen.h hasutmpxupdwtmpx.h hasvalgrind.h
+ crypto_onetimeauth_poly1305_lib1305.o crypto_onetimeauth_poly1305_tinyssh.o \
+ crypto_scalarmult_curve25519.o crypto_sign_ed25519_lib25519.o \
+ crypto_sign_ed25519_tinyssh.o crypto_sort_uint32.o crypto_stream_chacha20.o \
+ crypto_verify_16.o crypto_verify_32.o die.o dropuidgid.o e.o env.o fe25519.o \
+ fe.o ge25519.o getln.o global.o int16_optblocker.o int32_optblocker.o \
+ int64_optblocker.o int8_optblocker.o iptostr.o load.o log.o loginshell.o \
+ logsys.o main_tinysshd.o main_tinysshd_makekey.o main_tinysshd_printkey.o \
+ newenv.o numtostr.o open.o packet_auth.o packet.o packet_channel_open.o \
+ packet_channel_recv.o packet_channel_request.o packet_channel_send.o \
+ packet_get.o packet_hello.o packet_kex.o packet_kexdh.o packetparser.o \
+ packet_put.o packet_recv.o packet_send.o packet_unimplemented.o porttostr.o \
+ randombytes.o randommod.o readall.o savesync.o sc25519.o ssh.o sshcrypto.o \
+ sshcrypto_cipher.o sshcrypto_cipher_chachapoly.o sshcrypto_kex.o \
+ sshcrypto_kex_curve25519.o sshcrypto_kex_sntrup761x25519.o sshcrypto_key.o \
+ sshcrypto_key_ed25519.o str.o stringparser.o subprocess_auth.o \
+ subprocess_sign.o test-crypto.o tinysshd.o _tinysshd-printkex.o \
+ _tinysshd-speed.o _tinysshd-test-hello1.o _tinysshd-test-hello2.o \
+ _tinysshd-test-kex1.o _tinysshd-test-kex2.o _tinysshd-unauthenticated.o \
+ trymlock.o uint16_optblocker.o uint32_optblocker.o uint64_optblocker.o \
+ uint8_optblocker.o writeall.o
+
+AUTOHEADERS=haslib1305.h haslib25519.h haslibntruprime.h haslibrandombytes.h \
+ haslibutilh.h haslimits.h haslogintty.h hasmlock.h hasopenpty.h hasutilh.h \
+ hasutmpaddrv6.h hasutmp.h hasutmphost.h hasutmploginlogout.h hasutmplogwtmp.h \
+ hasutmpname.h hasutmppid.h hasutmptime.h hasutmptv.h hasutmptype.h \
+ hasutmpuser.h hasutmpxaddrv6.h hasutmpx.h hasutmpxsyslen.h hasutmpxupdwtmpx.h \
+ hasvalgrind.h
 
 TESTOUT=test-crypto-dh.out test-crypto-hash.out test-crypto-kem.out \
- test-crypto-sign.out test-crypto-sort.out test-crypto-verify.out \
- test-tinysshd-makekey.out test-tinysshd-printkey.out test-tinysshd.out \
- test-tinysshnoneauthd.out
+ test-crypto-onetimeauth.out test-crypto-sign.out test-crypto-sort.out \
+ test-crypto-verify.out test-tinysshd-makekey.out test-tinysshd-printkey.out \
+ test-tinysshd.out test-tinysshnoneauthd.out
 
 all: $(AUTOHEADERS) $(BINARIES) $(LINKS)
 
@@ -155,10 +157,15 @@
  crypto_kem_sntrup761.h haslibntruprime.h crypto_kem_sntrup761x25519.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_kem_sntrup761x25519.c
 
-crypto_onetimeauth_poly1305.o: crypto_onetimeauth_poly1305.c \
- cryptoint/crypto_int16.h cryptoint/crypto_uint32.h \
- cryptoint/crypto_uint64.h crypto_onetimeauth_poly1305.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_onetimeauth_poly1305.c
+crypto_onetimeauth_poly1305_lib1305.o: \
+ crypto_onetimeauth_poly1305_lib1305.c haslib1305.h
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_onetimeauth_poly1305_lib1305.c
+
+crypto_onetimeauth_poly1305_tinyssh.o: \
+ crypto_onetimeauth_poly1305_tinyssh.c crypto_onetimeauth_poly1305.h \
+ haslib1305.h cryptoint/crypto_int16.h cryptoint/crypto_uint32.h \
+ cryptoint/crypto_uint64.h
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_onetimeauth_poly1305_tinyssh.c
 
 crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c cleanup.h \
  fe25519.h fe.h cryptoint/crypto_uint32.h cryptoint/crypto_uint64.h \
@@ -225,9 +232,10 @@
  crypto_verify_32.h haslibrandombytes.h randombytes.h \
  crypto_hash_sha256.h crypto_hash_sha512.h haslib25519.h \
  crypto_kem_sntrup761.h haslibntruprime.h crypto_kem_sntrup761x25519.h \
- crypto_onetimeauth_poly1305.h crypto_scalarmult_curve25519.h \
- crypto_dh_x25519.h crypto_sign_ed25519.h crypto_sort_uint32.h \
- crypto_stream_chacha20.h purge.h cleanup.h trymlock.h global.h
+ crypto_onetimeauth_poly1305.h haslib1305.h \
+ crypto_scalarmult_curve25519.h crypto_dh_x25519.h crypto_sign_ed25519.h \
+ crypto_sort_uint32.h crypto_stream_chacha20.h purge.h cleanup.h \
+ trymlock.h global.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c global.c
 
 int16_optblocker.o: int16_optblocker.c cryptoint/crypto_int16.h
@@ -256,10 +264,3 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c loginshell.c
 
 logsys.o: logsys.c hasutilh.h hasutmpx.h hasutmpxupdwtmpx.h \
- hasutmpxsyslen.h hasutmpxaddrv6.h hasutmp.h hasutmpname.h hasutmppid.h \
- hasutmptime.h hasutmptv.h hasutmptype.h hasutmphost.h hasutmpuser.h \
- hasutmplogwtmp.h hasutmploginlogout.h hasutmpaddrv6.h str.h byte.h \
- logsys.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c logsys.c
-
-main_tinysshd.o: main_tinysshd.c blocking.h ssh.h purge.h cleanup.h \
