=== debian/changelog ===
tinyssh (20250501-1) unstable; urgency=medium

  * New upstream version 20250501
    - Fixed minor strict kex violation, thanks to Fabian Bäumer and Marcus
      Brinkmann for the bug report.
    - Updated cryptoint to version 20250414
    - Added support for external lib1305
  * d/copyright: update cryptoint/* license 
  * d/salsa-ci.yml add
  * d/control: B-D lib1305-dev [amd64] add

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 02 May 2025 11:19:28 +0200
