=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ lib1305-dev [amd64],
  lib25519-dev,
  libntruprime-dev,
- librandombytes-dev
+ librandombytes-dev,
 Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Homepage: https://github.com/janmojzis/tinyssh/
 Standards-Version: 4.7.0
@@ -16,9 +17,9 @@
 Package: tinysshd
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Provides:
- ssh-server
+ ssh-server,
 Architecture: any
 Description: Tiny SSH server - daemon
  TinySSH is a minimalistic SSH server which implements only a subset of
