## tinyssh 20260301

=== debian/changelog ===
tinyssh (20260301-1) unstable; urgency=medium

  * d/gbp.conf: upstream-branch = upstream/latest
  * d/control: update Standards-Version: 4.7.3, remove Priority: optional
  * d/control: remove Rules-Requires-Root: no
  * d/copyright: bump my copyright year

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 01 Mar 2026 07:13:44 +0000

tinyssh (20250501-2) unstable; urgency=medium

  * d/watch: rewrite to version 5, use Github uscan-template
  * d/upstream/signing-key.asc: update, add janmojzis@debian.org email
  * d/control: bump Standards-Version: 4.7.2, no changes
  * d/salsa-ci.yml: remove SALSA_CI_DISABLE_APTLY
  * d/salsa-ci.yml: add SALSA_CI_AUTOPKGTEST_ALLOWED_EXIT_STATUS
  * d/changelog: fix whitespace in 20250501-1 record

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 16 Sep 2025 08:41:10 +0200
