=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tinyssh
 Section: net
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  lib1305-dev [amd64],
@@ -9,10 +8,9 @@
  librandombytes-dev,
 Maintainer: Jan Mojžíš <janmojzis@debian.org>
 Homepage: https://github.com/janmojzis/tinyssh/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/tinyssh.git
 Vcs-Browser: https://salsa.debian.org/debian/tinyssh
-Rules-Requires-Root: no
 
 Package: tinysshd
 Depends:
